Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.juzu.template
Class Template

    java.lang.Object
      org.juzu.template.Template

    public class Template

extends Object

Author:
  Julien Viet

Nested Class Summary
`class` | `Template.Builder`

Constructor Summary
`Template(ApplicationContext applicationContext, String path)`

Method Summary
`String` | `getPath()`
`void` | `render()`
`void` | `render(Locale locale)`
`void` | `render(Map<String,?> parameters)`
`void` | `render(Map<String,?> parameters, Locale locale)`
`void` | `render(Printer printer)`
`void` | `render(Printer printer, Locale locale)`
`void` | `render(Printer printer, Map<String,?> parameters)`
`void` | `render(Printer printer, Map<String,?> attributes, Locale locale)` Renders the template.
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Template

    public Template(ApplicationContext applicationContext,
                    String path)

Method Detail

### getPath

    public String getPath()

### render

    public void render()
                throws TemplateExecutionException,
                       UndeclaredIOException

  Throws:
    `TemplateExecutionException`
    `UndeclaredIOException`

### render

    public void render(Locale locale)
                throws TemplateExecutionException,
                       UndeclaredIOException

  Throws:
    `TemplateExecutionException`
    `UndeclaredIOException`

### render

    public void render(Map<String,?> parameters)
                throws TemplateExecutionException,
                       UndeclaredIOException

  Throws:
    `TemplateExecutionException`
    `UndeclaredIOException`

### render

    public void render(Map<String,?> parameters,
                       Locale locale)
                throws TemplateExecutionException,
                       UndeclaredIOException

  Throws:
    `TemplateExecutionException`
    `UndeclaredIOException`

### render

    public void render(Printer printer)
                throws TemplateExecutionException,
                       UndeclaredIOException

  Throws:
    `TemplateExecutionException`
    `UndeclaredIOException`

### render

    public void render(Printer printer,
                       Locale locale)
                throws TemplateExecutionException,
                       UndeclaredIOException

  Throws:
    `TemplateExecutionException`
    `UndeclaredIOException`

### render

    public void render(Printer printer,
                       Map<String,?> parameters)
                throws TemplateExecutionException,
                       UndeclaredIOException

  Throws:
    `TemplateExecutionException`
    `UndeclaredIOException`

### render

    public void render(Printer printer,
                       Map<String,?> attributes,
                       Locale locale)
                throws TemplateExecutionException,
                       UndeclaredIOException

  Renders the template.

  Parameters:
    `printer` - the printer
    `attributes` - the attributes
    `locale` - the locale
  Throws:
    `TemplateExecutionException` - any execution exception
    `UndeclaredIOException` - any io exception

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 eXo Platform SAS. All Rights Reserved.